Journal
Write the journal entry for a date
PUT
One entry per date and kind. merge=true appends to an existing entry instead of replacing it.
header
AuthorizationBearer <token>Your space key (om_...). Create one with POST /v1/spaces.
date*stringMatch
^\d{4}-\d{2}-\d{2}$application/json- body
summary?stringLength
length <= 4000Default
""decisions?array<>Items
items <= 50Default
[]open_loops?array<>Items
items <= 50Default
[]source_refs?array<>Items
items <= 50Default
[]kind?stringDefault
"day"Value in
"day""week"merge?booleanAppend to an existing entry instead of replacing it.
Default
falseSaved
application/json- response
kind*stringValue in
"day""week"date*stringsummary*stringdecisions*array<string>open_loops*array<string>source_refs*array<string>origin*OriginValue in
"user""agent""dream"updated_at*stringcurl -X PUT 'https://api.openmemory.sh/v1/journal/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "kind": "day", "date": "string", "summary": "string", "decisions": [ "string" ], "open_loops": [ "string" ], "source_refs": [ "string" ], "origin": "user", "updated_at": "string"}